CouchDB UI Install Problem


#1

Hello everyone. I’m trying to get the UI installed and running on my FC and I am working through the steps here: https://gist.github.com/wsnook/2c1debba5b6076bfa5a17ce9133a839e

However, upon running the install command it errors out at:

module.js:340
throw err
Error: Cannot find module ‘./helpers/makeString’

Does anyone know if this is a dependency or something I am missing?

my npm version is 1.4.21
node v0.10.29

Thanks for any help.


#2

Hello @CISTiffany,

In my overly-long developer setup, I cover installing the UI. Jump down to step 28.

https://wiki.openag.media.mit.edu/contributors/rob.baynes/rpisetup

-rob


#3

Hi Rob,

Thanks for your reply but this step (28) doesn’t appear to be different from the tutorial I am following where I am getting the error. This error occurs when I try to build or run the package. Any ideas why?

Tiffany


#4

Hi Tiffany,

It may be that we are running different versions of npm and node. This is what I get on any of the PFC’s I have here at the lab (where I followed those instructions I sent):

npm --version
3.10.10
node --version
v6.11.0

#5

HI Tiffany,

I’ve done builds using Rob’s instructions at https://wiki.openag.media.mit.edu/contributors/rob.baynes/rpisetup and don’t recall encountering this error. I just now ran through the install of the openag_ui and it worked on my current build.

What is the exact command that you are running when you encounter the issue?

Can you send details on your build such as the Debian version and any custom changes (such as changing the host name) or anomalies with the install commands that go prior to the openag_ui install?

Thanks

Joe


#6

Hello everyone,
Thanks for the prior help but I’m still hitting a roadblock.

I’m following the steps at: https://wiki.openag.media.mit.edu/contributors/rob.baynes/rpisetup

Started from scratch and got through to the part where you run the install_dev.

It errors out at
[ 82%] Linking CXX shared library /home/pi/catkin_ws/devel/lib/libroscpp.so
[ 82%] Built target roscpp
Makefile:138: recipe for target ‘all’ failed
make: *** [all] Error 2
Invoking “make -j2” failed

Any ideas on what could be wrong?